Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZFreeTradeImport Class Reference

## Public Member Functions
| __construct ()
| importCategories ()
| importItems ()
| importProducts ()
| importOptions ( $product)
| getOptionsFromImport ( $id)
| getCategoriesFromImport ()
| getProductsFromImport ()
| getItemsFromImport ()
| getQuantity ( $id)
| makeOption ()
| makeLinks ()
| makeValue ()
| setDatabaseImport ( $host="localhost", $username="import", $password="import", $database="import")
| dbInit ()

## Public Attributes
| $Host
| $UserName
| $Password
| $Database
| $dbImport

## Detailed Description

! ezfreetradeimport ezfreetradeimport documentation.

Example code:

Definition at line 28 of file ezfreetradeimport.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFreeTradeImport::__construct | ( |  | ) |

constructor

Definition at line 34 of file ezfreetradeimport.php.

## Member Function Documentation

## ◆ dbInit()

eZFreeTradeImport::dbInit | ( |  | ) |

Definition at line 394 of file ezfreetradeimport.php.

References Password.

Referenced by getCategoriesFromImport(), getItemsFromImport(), getOptionsFromImport(), getProductsFromImport(), getQuantity(), makeLinks(), makeOption(), and makeValue().

## ◆ getCategoriesFromImport()

eZFreeTradeImport::getCategoriesFromImport | ( |  | ) |

Definition at line 276 of file ezfreetradeimport.php.

References dbInit().

Referenced by importCategories().

## ◆ getItemsFromImport()

eZFreeTradeImport::getItemsFromImport | ( |  | ) |

Definition at line 298 of file ezfreetradeimport.php.

References dbInit().

Referenced by importItems().

## ◆ getOptionsFromImport()

eZFreeTradeImport::getOptionsFromImport | ( |  | $id | ) |

Definition at line 242 of file ezfreetradeimport.php.

References $db, $i, $id, dbInit(), and eZDB\globalDatabase().

Referenced by importOptions().

## ◆ getProductsFromImport()

eZFreeTradeImport::getProductsFromImport | ( |  | ) |

Definition at line 287 of file ezfreetradeimport.php.

References dbInit().

Referenced by importProducts().

## ◆ getQuantity()

eZFreeTradeImport::getQuantity | ( |  | $id | ) |

Definition at line 308 of file ezfreetradeimport.php.

References $id, and dbInit().

## ◆ importCategories()

eZFreeTradeImport::importCategories | ( |  | ) |

Definition at line 38 of file ezfreetradeimport.php.

References $categories, $category, $db, $file, $image, file_exists(), getCategoriesFromImport(), and eZDB\globalDatabase().

## ◆ importItems()

eZFreeTradeImport::importItems | ( |  | ) |

Definition at line 88 of file ezfreetradeimport.php.

References $categories, $category, $db, getItemsFromImport(), and eZDB\globalDatabase().

## ◆ importOptions()

eZFreeTradeImport::importOptions | ( |  | $product | ) |

Definition at line 203 of file ezfreetradeimport.php.

References $options, $product, and getOptionsFromImport().

Referenced by importProducts().

## ◆ importProducts()

eZFreeTradeImport::importProducts | ( |  | ) |

Definition at line 119 of file ezfreetradeimport.php.

References $category, $db, $i, $price, $product, $products, getProductsFromImport(), eZDB\globalDatabase(), and importOptions().

## ◆ makeLinks()

eZFreeTradeImport::makeLinks | ( |  | ) |

Definition at line 342 of file ezfreetradeimport.php.

References $link, $links, $product, dbInit(), eZOptionValue\getByRemoteID(), and eZProduct\getByRemoteID().

## ◆ makeOption()

eZFreeTradeImport::makeOption | ( |  | ) |

Definition at line 324 of file ezfreetradeimport.php.

References $db, dbInit(), and eZDB\globalDatabase().

## ◆ makeValue()

eZFreeTradeImport::makeValue | ( |  | ) |

Definition at line 364 of file ezfreetradeimport.php.

References $db, dbInit(), eZOption\getByRemoteID(), and eZDB\globalDatabase().

## ◆ setDatabaseImport()

eZFreeTradeImport::setDatabaseImport | ( |  | $host = `"localhost"`,
|  |  | $username = `"import"`,
|  |  | $password = `"import"`,
|  |  | $database = `"import"`
| ) |  |

Definition at line 386 of file ezfreetradeimport.php.

References Password.

## Member Data Documentation

## ◆ $Database

eZFreeTradeImport::$Database

Definition at line 402 of file ezfreetradeimport.php.

## ◆ $dbImport

eZFreeTradeImport::$dbImport

Definition at line 403 of file ezfreetradeimport.php.

## ◆ $Host

eZFreeTradeImport::$Host

Definition at line 399 of file ezfreetradeimport.php.

## ◆ $Password

eZFreeTradeImport::$Password

Definition at line 401 of file ezfreetradeimport.php.

## ◆ $UserName

eZFreeTradeImport::$UserName

Definition at line 400 of file ezfreetradeimport.php.

The documentation for this class was generated from the following file:

- ezfreetradeimport.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.